#include <bits/stdc++.h>

using namespace std;

int main ()
{
    int t;
    cin>>t;
    int n[t], m[t], k[t];
    for(int i=0; i<t; i++){
        cin>>n[i]>>m[i]>>k[i];
    }
    for(int i=0; i<t; i++){
        int d, o;
        d = n[i] / k[i];
        o = n[i] % k[i];
        int z = 0;
        for(int j=0; j<d; j++){
            z = z + (j+1);
        }
        z = z * k[i];
        z = z + ((d+1)*o);
        if(m[i] >= z){
            cout<<"Tak"<<endl;
        }
        else{
            cout<<"Nie"<<endl;
        }
    }
}